AOZ Studio Beta - Bug #813

Problems with actor events
08/20/2021 09:26 AM - Paul Kitching

Status: New Start date: 08/20/2021
Priority: Normal Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B8) u15

Description

I've been having problems getting the events to work, like dragdrop, etc. Laurant made a short program to test it and got the same
problems, here is his program:

#splashScreen:False

Actor "magic", X=100, Y=100, Image$="magic.png", OnMouse$="CLICK"
do

Wait key

Loop

Procedure CLICK[EVENTS]
If EVENTS$="mouseclick" then Print "mouseclick"
If EVENTS$="mousedown" then Print "mousedown"
If EVENTS$="mouseup" then Print "mouseup"
If EVENTS="mousemove" then Print "mousemove"
If EVENTS$="dragdrop" then Print "dragdrop"
//Actor INDEXS$, X=DRAGX, Y=DRAGY

End Proc

dragdrop is always active as soon as the mouse moves over (without holding a button)

mousedown works when holding a button

mouseup isn't working

mouseclick is triggered when you release the button (I'm not sure how this would be different to mouseup)
mousemove isn't working. | think dragdrop is being triggered instead of this one.

History

#1 - 09/28/2021 03:12 PM - Francois Lionet

- Assignee changed from Francois Lionet to Baptiste Bideaux
